Difference between revisions of "Arch Add/fr"

From FreeCAD Documentation
Jump to: navigation, search
m
Line 27: Line 27:
  
 
L'outil {{KEY|[[Image:Arch_Add.png|16px|Ajouter|link=Arch_Add/fr]] [[Arch_Add/fr|Ajouter]]}} peut être utilisé dans une [[macros/fr|macro]], ou dans la console '''Python''' en utilisant la fonction :
 
L'outil {{KEY|[[Image:Arch_Add.png|16px|Ajouter|link=Arch_Add/fr]] [[Arch_Add/fr|Ajouter]]}} peut être utilisé dans une [[macros/fr|macro]], ou dans la console '''Python''' en utilisant la fonction :
 
+
<syntaxhighlight>
  '''addComponents (objectsList,hostObject)''': Ajoute l'objet, ou les objets de la liste donnée, sous forme de composant(s)
+
  addComponents (objectsList,hostObject)
à l'objet hôte donné. Utilisé par exemple, pour ajouter des fenêtres à un mur, ou ajouter des murs au plancher.
+
</syntaxhighlight>
 
 
 
Exemple:
 
Exemple:
 
+
<syntaxhighlight>
 
  import FreeCAD, Arch, Draft, Part
 
  import FreeCAD, Arch, Draft, Part
 
  line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
 
  line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
Line 38: Line 37:
 
  box = Part.makeBox(1,1,1)
 
  box = Part.makeBox(1,1,1)
 
  Arch.addComponents(box,wall)
 
  Arch.addComponents(box,wall)
+
</syntaxhighlight>
 +
 
 
==Les outils de transformation Architecturaux==
 
==Les outils de transformation Architecturaux==
  

Revision as of 11:29, 8 September 2013

Arch_Add/fr

Arch Add.svg Arch Addition

Emplacement du menu
Arch -> Add
Ateliers
Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Arch Remove


Description

L'outil Ajouter Arch Add.png vous permet de faire 2 types d'opérations :

  • Ajouter un objet de base à un compososant Architecture, par exemple un mur Arch Wall.png ou une structure Arch Structure.png.
    Ces objets font alors partie des composants d'Architecture, et vous permettent de modifier sa forme, mais en gardant ses propriétés de base telles que la largeur et la hauteur.
  • Ajouter des composants Arch, comme des murs Arch Wall.png ou des structures Arch Structure.png, dans une cellule Arch Cell.png ou d'autres objets à base de cellules tels que les planchers Arch Floor.png.

Arch Add example.jpg

Dans l'image ci-dessus, une boîte est ajoutée à une paroi.

Utilisation

  • Sélectionnez l'objet ou les objets que vous devez ajouter (ici la boîte), puis sélectionnez l'objet hôte (mur) (l'objet hôte (mur), doit toujours être le dernier objet sélectionné).
  • Appuyez sur le bouton Ajouter Ajouter.
  • Ajouter un Axes system Système d'axes dans Élément structurel un objet structurel.
  • Ajouter un objet dans un plan de coupe plan de coupe.

Utilisation

  1. Sélectionnez l'objet(s) qui doit être ajouté, ensuite, sélectionnez l'objet hôte (l'objet hôte doit être le dernier objet sélectionné).
  2. Puis cliquez sur le bouton Ajouter Ajouter

Script

L'outil Ajouter Ajouter peut être utilisé dans une macro, ou dans la console Python en utilisant la fonction :

 addComponents (objectsList,hostObject)

Exemple:

 import FreeCAD, Arch, Draft, Part
 line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
 wall = Arch.makeWall(line)
 box = Part.makeBox(1,1,1)
 Arch.addComponents(box,wall)

Les outils de transformation Architecturaux

Ajouter    Supprimer   

Traductions disponibles: Flag-en.jpg Flag-de.jpg Flag-es.jpg Flag-it.jpg Flag-jp.jpg Template:Se